Skip to main content
GET
/
api
/
v1
/
auth
/
offers
/
type
/
{offer_type}
List offers by type
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/offers/type/{offer_type} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "offer_type": "SELL",
    "asset": "<string>",
    "crypto_amount": "<string>",
    "available_amount": "<string>",
    "rate": "<string>",
    "min_order": "<string>",
    "max_order": "<string>",
    "status": "<string>",
    "description": {
      "String": "<string>",
      "Valid": true
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": {
      "Time": "2023-11-07T05:31:56Z",
      "Valid": true
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.crypto.westminister.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

offer_type
enum<string>
required
Available options:
SELL,
BUY

Query Parameters

page_id
integer
required
Required range: x >= 1
page_size
integer
required
Required range: 5 <= x <= 10

Response

200 - application/json

Offers by type

id
string<uuid>

Offer ID.

vendor_id
string<uuid>

Vendor ID.

offer_type
enum<string>

Offer type.

Available options:
SELL,
BUY
asset
string

Asset symbol (e.g.

crypto_amount
string

Offer amount in selected asset (USDT/USDC).

available_amount
string

Available offer amount in selected asset; must be <= crypto_amount and <= owner's default wallet asset balance.

rate
string

Exchange rate (KES per USDT).

min_order
string

Minimum order size.

max_order
string

Maximum order size.

status
string

Offer status.

description
object
created_at
string<date-time>
updated_at
string<date-time>
deleted_at
object

Database-style nullable time wrapper